Subject: bug#77823: closed (Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Apr 2025 03:57:04 +0000

Your bug report

#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77823: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77823
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d
From: Sean Whitton <[email-masked]>
To: Elijah Gabe Pérez <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Stefan Monnier <[email-masked]>
Date: Wed, 23 Apr 2025 11:56:20 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Tue 22 Apr 2025 at 09:47pm -06, Elijah Gabe Pérez wrote:

> Sean Whitton writes:
>
>  ISTM that a combination of the suggestions from Juri and Stefan would
>  work well.  It would be great if you could expand the functionality of
>  electric-pair-mode to handle these cases.
>
> Yeah, at least support strings and specify if a paren should be expanded after a space (for do not
> conflict with others parens)(?), I will work on that, at this point it would be to make it similar to
> smartparens.

I'm not really familiar with smartparens but those seem like relevant
considerations.

> Ofc, some built-in major modes should set which parens to use.

Right.

I'll close this bug since the regression is fixed.  You could post your
new patch to a new bug, perhaps.

-- 
Sean Whitton

Subject: 31.0.50; M-j regression since commit 4c6b1712a4d
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Tue, 15 Apr 2025 19:27:44 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

X-debbugs-cc: [email-masked], [email-masked]

1. emacs -q
2. C-x b foo RET
3. M-x emacs-lisp-mode RET
4. ;;;; hello M-j

Result is:

--8<---------------cut here---------------start------------->8---
;;;; hello|#
#|
--8<---------------cut here---------------end--------------->8---

but it should be

--8<---------------cut here---------------start------------->8---
;;;; hello
;;;;
--8<---------------cut here---------------end--------------->8---

My first thought is that since multiline comments of this style are not
valid Emacs Lisp, we should just set block-comment-start and
block-comment-end to nil for emacs-lisp-mode.

However, the recipe provided above works if you do 'M-x lisp-mode RET'
instead.

Even though Common Lisp supports these block comments, if you are
already writing a semicolon-delimited comment, then M-j should continue
it, rather than starting a #| |# comment.

-- 
Sean Whitton